import { useState } from 'react';
import { PATHS } from '@/shared/constants/paths';
import { useNavigate } from '@/shared/lib/hooks/use-navigate';
import { AccountTab } from '@/entities/account/ui/account-tab';
import { PasswordManageWrap } from '@/entities/account/ui/password-manage-wrap';
import { AccountTabKeys } from '@/entities/account/model/types';
import { HeaderType } from '@/entities/common/model/types';
import { 
	useSetHeaderTitle,
	useSetHeaderType,
	useSetFooterMode,
  useSetOnBack
} from '@/widgets/sub-layout/use-sub-layout';

export const PasswordManagePage = () => {
  const { navigate } = useNavigate();

  const [activeTab, setActiveTab] = useState<AccountTabKeys>(AccountTabKeys.PasswordManage);
  useSetHeaderTitle('계정 관리');
  useSetHeaderType(HeaderType.LeftArrow);
  useSetFooterMode(true);
  useSetOnBack(() => {
    navigate(PATHS.home);
  });

  return (
    <>
      <main>
        <div className="tab-content">
          <div className="tab-pane pt-46 active">
            <AccountTab activeTab={ activeTab }></AccountTab>
            <PasswordManageWrap></PasswordManageWrap>
          </div>
        </div>
      </main>
    </>
  );
};